var opts = {pattern: ['gulp-*', 'gulp.*','main-bower-files']} ;

var gulp = require('gulp');
var fs = require('fs');
var plugins = require('gulp-load-plugins')(opts);
var del = require('del') ;
var path = require('path') ;

var paths = ['styles'] ;


var config = {
	gulp : {
		modernizr : {
		},
		js : {
			paths: [
				'js/**/*.js'
			]
		},
		css : {
			paths : [
			]
		},
		sass : {
			paths: [],
			node : [],
			includePaths : []
		}
	}
};

plugins.mainBowerFiles('**/*.scss').forEach(function(v){
	paths = paths.concat(path.dirname(v)) ;
})

plugins.mainBowerFiles('**/*.sass').forEach(function(v){
	paths = paths.concat(path.dirname(v)) ;
})

config.sass = {
	includePaths : paths
};


gulp.task('sass', require('./tasks/sass')(gulp, plugins,config));
gulp.task('jshint', require('./tasks/jshint')(gulp, plugins,config));
gulp.task('slint', ['concat'], require('./tasks/scss-lint')(gulp, plugins,config));
gulp.task('concat', require('./tasks/concat')(gulp, plugins,config));
gulp.task('concat_css', require('./tasks/concat_css')(gulp, plugins,config));
gulp.task('semantic-build', require('./semantic/tasks/build.js'));
gulp.task('semantic-clean', require('./semantic/tasks/clean.js'));
gulp.task('semantic-watch', require('./semantic/tasks/watch.js'));

gulp.task('clean', function (cb) {
	del(['vendor/**/*']);
});

gulp.task('watch', function() {
  gulp.watch(['scss/**/*.scss'], ['sass']);
  gulp.watch(['js/**/*.js'], ['jshint']);
  gulp.watch(['bower.json'], ['concat_css','concat']);
  gulp.watch(['semantic/**/*.less',
              'semantic/**/*.config',
              'semantic/**/*.variables',
              'semantic/**/*.overrides'], ['semantic-build','concat_css']);
});

gulp.task('default',['semantic-build','sass','concat_css','concat','watch'], function() {})

gulp.task('clean',function() {
	del('vendor/**/*');
})

gulp.task('rebuild',['semantic-clean','clean','semantic-build','sass','concat_css','concat'],function() {});
